View Issue Details

IDProjectCategoryView StatusLast Update
00033443 - Current Dev ListBugpublic2019-07-21 06:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0003344: LicenseValidator DeleteAllKeys() method catches all exceptions
DescriptionThe DeleteAllKeys method of LicenseValidator (see LicenseValidator.cpp) catches all exceptions and does nothing:

     catch (...)
     {
     }


Catching all exception types with "..." is an anti-pattern. Here, one deletion call might cause an exception and the other is never run. The function won't return an error, so the user (and the caller) are none the wiser that their intended action wasn't carried out. If it is necessary to handle identifiable exceptions from this code, I think the code should be rewritten to perform both operations in a try/catch block, and the catch block written to handle the expected exception type.
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
TestingNot Started

Relationships

child of 0003370 assignedWA9PIE 3 - Current Dev List Maintenance release for remaining license server topics 

Activities

K7ZCZ

2019-07-21 06:12

administrator   ~0008251

fixed with this checkin in the 6.6 branch:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5084

Issue History

Date Modified Username Field Change
2019-06-11 08:33 K7ZCZ New Issue
2019-06-15 10:43 WA9PIE Module QLM => SW License Mgmt
2019-06-15 10:43 WA9PIE Sub-Module QLM Client => SW License Client
2019-06-23 13:03 WA9PIE Relationship added child of 0003370
2019-07-21 06:12 K7ZCZ Assigned To => K7ZCZ
2019-07-21 06:12 K7ZCZ Status new => resolved
2019-07-21 06:12 K7ZCZ Resolution open => fixed
2019-07-21 06:12 K7ZCZ Note Added: 0008251